property_card:
  label: Property Card
  namespace: Molecules/TM - Cards
  use: '@molecules/tm-cards/property-card/property-card.twig'
  description: Property Card
  libraries:
    - property_card_lib:
        css:
          component:
            ../styles/property-card.css: {}

  fields:
    img_url:
      type: text
      label: Label
      description: The image url
      preview: https://picsum.photos/560/320?rnd=a1
    img_alt:
      type: text
      label: Label
      description: The alt text
      preview: Logo of the Your County Pass
    title:
      type: text
      label: Label
      description: The title
      preview: Attleborough location - Mobile Retail
    card_link:
      type: text
      label: Label
      description: The link URL
      preview: www.train-operator.co.uk
    rows:
      type: object
      label: Rows
      preview:
        - label: Town/City
          text: Attleborough
        - label: Type
          text: Retail
        - label: Offer invited
          text: Yes
        - label: Rent
          text: £5000 / annum + VAT (subject to turnover)
